/* 
 * File:   cKlinkBusInterface.h
 * Author: john
 *
 * Created on 04 April 2011, 10:46 AM
 */

#ifndef CKLINKBUSINTERFACE_H
#define	CKLINKBUSINTERFACE_H

#include <cKlinkDataBuffer.h>

class cKlinkBusInterface 
{
public:
    cKlinkBusInterface();
    virtual ~cKlinkBusInterface();
    virtual int transmitData(cKlinkDataBuffer &) = 0;
    virtual int receiveData(cKlinkDataBuffer &) = 0;
    virtual int receiveData(cKlinkDataBuffer &,int timeout) = 0;
    virtual int getReceiveFileDescriptor() = 0;
    virtual int getTransmitFileDescriptor() = 0;
    virtual void setBlocking(bool state) = 0;
    virtual bool getBlocking() = 0;
    virtual void heartBeat(){;}
    virtual void setError(bool ){;}
private:

};

#endif	/* CKLINKBUSINTERFACE_H */

